<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Request;
        
class BidDetailRequest 
{
    /** @var bool $convertBasis Whether or not to convert the Basis Price.*/
    public bool $convertBasis;
    /** @var string $bidId The bid id to get details for.*/
    public string $bidId;
    /** @var bool $includeDeleted Whether or not to include deleted records (companies, locations, bids, etc.).*/
    public bool $includeDeleted;

    /**
     * @param  bool  $convertBasis Whether or not to convert the Basis Price.
     * @param  string  $bidId The bid id to get details for.
     * @param  bool  $includeDeleted Whether or not to include deleted records (companies, locations, bids, etc.).
     */
    public function __construct(bool $convertBasis, string $bidId, bool $includeDeleted)
    {
        $this->convertBasis = $convertBasis;
        $this->bidId = $bidId;
        $this->includeDeleted = $includeDeleted;
    }
    

}